# Method: users.getCapabilities

- [HTTP request](https://developers.google.com/workspace/drive/labels/reference/rest/v2/users/getCapabilities#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/labels/reference/rest/v2/users/getCapabilities#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/labels/reference/rest/v2/users/getCapabilities#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/labels/reference/rest/v2/users/getCapabilities#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/labels/reference/rest/v2/users/getCapabilities#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/drive/labels/reference/rest/v2/users/getCapabilities#body.UserCapabilities.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/drive/labels/reference/rest/v2/users/getCapabilities#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/labels/reference/rest/v2/users/getCapabilities#try-it)

Gets the user capabilities.

### HTTP request

`GET https://drivelabels.googleapis.com/v2/{name=users/*/capabilities}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the user. Only "users/me/capabilities" is supported. |

### Query parameters

| Parameters ||
|---|---|
| `customer` | `string` The customer to scope this request to. For example: `customers/abcd1234`. If unset, it will return settings within the current customer. |

### Request body

The request body must be empty.

### Response body

The capabilities of a user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "canAccessLabelManager": boolean, "canAdministrateLabels": boolean, "canCreateSharedLabels": boolean, "canCreateAdminLabels": boolean } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. Resource name for the user capabilities. |
| `canAccessLabelManager` | `boolean` Output only. Whether the user is allowed access to the label manager. |
| `canAdministrateLabels` | `boolean` Output only. Whether the user is an administrator for the shared labels feature. |
| `canCreateSharedLabels` | `boolean` Output only. Whether the user is allowed to create shared labels. |
| `canCreateAdminLabels` | `boolean` Output only. Whether the user is allowed to create admin labels. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive.labels`
- `
  https://www.googleapis.com/auth/drive.labels.readonly`
- `
  https://www.googleapis.com/auth/drive.admin.labels`
- `
  https://www.googleapis.com/auth/drive.admin.labels.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).